%global prerel b9
Name:           python-nltk
Epoch:          1
Version:        2.0
Release:        0.3.%{prerel}%{?dist}
Summary:        Natural Language Toolkit

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://www.nltk.org/
Source0:        http://nltk.googlecode.com/files/nltk-%{version}%{?prerel}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel PyYAML
Requires:       numpy python-matplotlib PyYAML

%description
NLTK is a Python package that simplifies the construction of programs
that process natural language; and defines standard interfaces between
the different components of an NLP system.  It was designed primarily
to help teach graduate and undergraduate students about computational
linguistics; but it is also useful as a framework for implementing
research projects.


%prep
%setup -q -n nltk-%{version}%{?prerel}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt
%{python_sitelib}/nltk
%{python_sitelib}/nltk-*.egg-info


%changelog
* Mon Aug 30 2010 Robin Lee <robinlee.sysu@gmail.com> - 1:2.0-0.3.b9
- update to 2.0b9

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1:2.0-0.2.b8
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon May 17 2010 Robin Lee <robinlee.sysu@gmail.com> - 1:2.0-0.1.b8
- Updated to 2.0b8
- License switched upstream to ASL 2.0 since 2.0b4
- Remove specifications for obsolete Fedora versions
- Remove python_sitelib definition
- URL and Source0 URL revised
- BuildRoot tag removed
- BR: tkinter removed, PyYAML added
- Requires: tkinter removed
- nltk-0.9.2-use-sys-yaml.patch removed
- All redundant commands in 'install' section removed
- nltk_contrib entry in 'file' section was removed since it will include no
  file. Upstream split off a new tarball for nltk-contrib.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.9.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1:0.9.2-2
- Rebuild for Python 2.6

* Mon Apr  7 2008 Michel Salim <salimma@fedoraproject.org> - 1:0.9.2-1
- Update to 0.9.2

* Sat Feb 23 2008 Michel Salim <michel.sylvan@gmail.com> - 1:0.9-2
- Use system PyYAML (bug #432329)

* Sun Jan 20 2008 Michel Salim <michel.sylvan@gmail.com> - 1:0.9-1
- Update to final 0.9
- Add Epoch to clear upgrade path from (old) 1.4.4

* Fri Sep 22 2007 Michel Salim <michel.sylvan@gmail.com> - 0.9-0.2.b2
- BR on tkinter, it is now needed at build time

* Fri Sep 21 2007 Michel Salim <michel.sylvan@gmail.com> - 0.9-0.1.b2
- Updated to 0.9b2
- Renamed back to python-nltk

* Mon Dec 18 2006 Michel Salim <michel.salim@gmail.com> - 0.6.6-2
- Rebuild for development branch

* Mon Oct 30 2006 Michel Salim <michel.salim@gmail.com> - 0.6.6-1
- Initial package
